LFR-FSW - Bug #1744

Corrections QA pour relivraison DATAPACK R3++ updated
07/07/2017 04:11 PM - bruno katra

Status: Closed Start date: 07/07/2017
Priority: High Due date:

Assignee: William Recart % Done: 60%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Ci-dessous I'ensemble des bugs QA a corriger pour DP R3++ updated attendu pour fin Aout 2017:

- https://jira-lesia.obspm.fr/browse/RPWSWR-574 : pas compris ce qu'il fallait faire...

- https://jira-lesia.obspm.fr/browse/RPWSWR-712

- https://jira-lesia.obspm.fr/browse/RPWSWR-713

- https://jira-lesia.obspm.fr/browse/RPWSWR-710

- https://jira-lesia.obspm.fr/browse/RPWSWR-706 : Mise a jour des tailles de I'exe.

- https://jira-lesia.obspm.fr/browse/RPWSWR-625-*
REASSIGNé a BRUNO

- https://jira-lesia.obspm.fr/browse/RPWSWR-627 : mettre a jour le texte de la RFW

- https://jira-lesia.obspm.fr/lorowse/RPWSWR-633 : documents a signer par les concernés

History

#1 - 22/08/2017 05:12 PM - bruno katra

Salut Wiliam : pour https://jira-lesia.obspm.fr/browse/RPWSWR-627 voici les valeurs a mettre dans le texte de la RFD 230 pour étre raccord avec les
figures. Ce sont les valeurs que j'ai mis dans le SUM 1.5 mis a jour.

+ SWF at FO : -4ms/+1ms

+ SWFatF1:-4ms/+1ms

+ SWF at F2 :-6ms/-1.5ms

#2 - 23/08/2017 04:35 PM - bruno katra
- Project changed from Solar Orbiter LFR to LFR-FSW

#3 - 23/08/2017 05:14 PM - bruno katra
- File RPW-MEB-LFR-NTT-00213-01-00_LFR_acquisition_time_accuracy[1].pdf added

Pour https://jira-lesia.obspm.fr/browse/RPWSWR-625 j'ai mis en PJ le document du DP qui sert de référence pour rédiger cette RFW. Je pense qu'il
est un peu long pour le copier/coller dans un template RFW, je te propose ce texte plus concis + mettre une référence vers le pdf joint dans la RFW
(si cela se fait) :

Requirement SSS-CP-EQS-340 is not fully achievable for LFR for design reasons at RPW system level :

- RPW instruments are NOT driven by an unique master clock so there is implicit shifts and jitters between DPU master clock and LFR internal clocks.
- LFR starts acquisition and sampling as soon as FPGA is booted and running (before LFR FSW even runs)

- However , LFR guarantees that the timestamping of any sample has an uncertainty of less than 1us (which covers exhaustively RPW resolution
requirement)

Those 2 design features involve that the requirement is hardly reachable but will be also implicitly covered for any sampling frequency > 1kHz (
because a sample will be automatically be in the - 500us/+500us range around). For LFR, this means that :

- Only waveforms samples at FO and F1 fulfills the requirement

- Not all the waveforms at F2 and F3 will be compliant with the requirement

- ALL samples for FO, F1, F2 and F3 will be timestamped with a precision higher than 1us

Detailed explanations and behaviour are described in a technical note submitted to RPW system level managers
(RPW-MEB-LFR-NTT-00213-01-00_LFR_acquisition_time_accuracy.pdf )

#4 - 23/08/2017 05:52 PM - bruno katra
- Description updated

#5 - 24/08/2017 07:03 PM - bruno katra
Salut William je me suis permis de te réassigner l'issue JIRA RPWSWR-706 car c'est un document a toi .

Voici les infos dont tu as besoin, je les ai prises dans mon SVerR §3.21 dans lequel j'ai trouvé une coquille au passage que j'ai corrigé pour la
prochaine version du document :

.data section in RpwLfrApp_0013_data_rev-3-2-0-15.srec : 5008 bytes
.text section in RpwLfrApp_0013_text_rev-3-2-0-15.srec : 355 072 bytes

Comme convenu, j'ai bouclé mes urgences sur BEPI-COLOMBO la semaine derniére et je me suis remis sur le DP R3++ updated, j'avance petit a
petit...

A+
Bruno

#6 - 28/08/2017 05:59 PM - William Recart
- % Done changed from 0 to 60

https://jira-lesia.obspm.fr/lbrowse/RPWSWR-574 : close sur JIRA

https://jira-lesia.obspm.fr/browse/RPWSWR-625 : a faire

https://jira-lesia.obspm.fr/browse/RPWSWR-627 : prét et mis sous JIRA pour signature rapide

https://jira-lesia.obspm.fr/browse/RPWSWR-633 : action pour tous.

https://jira-lesia.obspm.fr/browse/RPWSWR-637 : List updated (RFW rejected)

https:/jira-lesia.obspm.fr/browse/RPWSWR-706 : document a faire signer

https://jira-lesia.obspm.fr/browse/RPWSWR-710 : document a préparer en dernier (en cours de modification) car il reprend tous les autres documents
du DP

https://jira-lesia.obspm.fr/browse/RPWSWR-711 : document prét

https://jira-lesia.obspm.fr/browse/RPWSWR-712 : document a faire signer

https://jira-lesia.obspm.fr/browse/RPWSWR-713 : le SPAP est a reprendre a ce stade ?

https://jira-lesia.obspm.fr/lbrowse/RPWSWR-715 : non mentionnée mais action RFW en cours

#7 - 30/08/2017 10:19 AM - bruno katra

Il'y a juste une petite coquille dans la section " Consequence” : "AftertestAfter long time..."
de la RFW 230 dans https:/jira-lesia.obspm.fr/browse/RPWSWR-627

#8 - 31/08/2017 10:56 AM - bruno katra

- Description updated

#9 - 29/09/2017 04:24 PM - bruno katra

- Status changed from New to Closed

Tout ce qui était dans le périmetre R3++ updated (FSW 3.2.0.15) a été pris en compte et/ou commenté dans JIRA. Cloture

Files

RPW-MEB-LFR-NTT-00213-01-00_LFR_acquisition_time_accuracy[1].p86 KB 23/08/2017 bruno katra
